<?php
/**************************************************
  Coppermine 1.5.x Plugin - FrameIt $VERSION$=0.2
  *************************************************
  Copyright (c) 2009 Gene F. Young (genefyoung.com)
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ***************************************************/


$frameit_superCage = Inspekt::makeSuperCage();

global $CONFIG,$lang_plugin_frameit,$file_name,$base_dir;

$base_dir = pathinfo(dirname(__FILE__),PATHINFO_DIRNAME);

if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

if($lang_text_dir=='ltr') {
  $align="left";
  $direction="ltr";
}else {
  $align="right";
  $direction="rtl";
}

if ($frameit_superCage->get->keyExists('browse_file')) { $file_name =  $frameit_superCage->get->getRaw('browse_file'); }
if ($frameit_superCage->get->keyExists('browse_dir')) { $dir_name =  $frameit_superCage->get->getPath('browse_dir'); } else { $dir_name = $base_dir; }

pageheader($lang_plugin_frameit['display_name']);

starttable('100%', $lang_plugin_frameit['main_title'].' - '.$lang_plugin_frameit['version'].'<font size=1 color=red> by <a href="http://genefyoung.com">Gene F. Young</font> - <a href="pluginmgr.php" class="admin_menu">'.$lang_plugin_frameit['pluginmanager'].'</a>', 3);

$base_dir = pathinfo(dirname(__FILE__),PATHINFO_DIRNAME);
$base_dir = str_replace("plugins","",$base_dir);

$t_name = str_replace($base_dir,"", $dir_name);

?>
<table class="table_bg">
	<tr>
		<td colspan="2">
		  	<form action="<?php echo "index.php?file=frameit/plugin_config"; ?>" method="post" name="cancel">
		  	   	<input name="accept" type="submit" value="<?php echo "Cancel"; ?>" />
		    </form>
		</td>
	</tr>
	<tr>
		<td colspan="2">
		  	<form action="<?php echo "index.php?file=frameit/plugin_config&use_file=$t_name/$file_name"; ?>" method="post" name="frameit_browse_file">
		  	   	<input name="accept" type="submit" value="<?php  echo "Use file:  $t_name/$file_name"; ?>" />
		    </form>
		</td>
	</tr>
	<tr class="row_1">
		<td class="left_col"><em>Directories:</em></td>
		<td class="right_col" colspan="2"><em>Files:</em></td>
	</tr>
	<tr>
		<td class="left_col"  style="vertical-align:top; width: 200px;" >
			<?php list_dirs($dir_name . "/" ); ?> <!---->
		</td>
		<td class="right_col"  style="vertical-align:top; width: 200px;" colspan="2">
			<?php list_files($dir_name . "/" ); ?> <!---->
		</td>
	</tr>
</table>

<?php 
endtable();
pagefooter();
ob_end_flush();

function list_files($dir) {
	$even = 1;
	if (is_dir($dir)) {
	    if ($dh = opendir($dir)) {
	        while (($file = readdir($dh)) !== false) {
	        	if ( filetype($dir . $file) !== "dir") {  $file_list[] = $file; }
	        }
	        closedir($dh);
	    } else { 
	    	echo "&nbsp;"; 
			return;
		}	
	} else { echo "This is not a valid dir: " . $dir . "\n"; }
	if ( count($file_list) > 0) {
		echo "<table>";
		sort($file_list);
		foreach ($file_list as $value) {
			$path = realpath($dir . "/");
	   		if ($even) {
	   			echo "<tr><td class=\"td_even\"><a href=\"index.php?file=frameit/browse&browse_dir=$path/&browse_file=$value\" title=\"$value\" >$value</a></td></tr>\n";
	   			$even = 0; 
	   		} else {
	   			echo "<tr><td class=\"td_odd\"><a href=\"index.php?file=frameit/browse&browse_dir=$path/&browse_file=$value\" title=\"$value\" >$value</a></td></tr>\n";
		        $even = 1;
		    }
		}
		echo "</table>";
	} else {
		echo "<table><tr><td>No files in this directory!</td></tr></table>\n";	
	}
/**/
}

function list_dirs($dir) {
	$even = 1;
	if (is_dir($dir)) {
	    if ($dh = opendir($dir)) {
	        while (($file = readdir($dh)) !== false) {
	        	if ( filetype($dir . $file) == "dir") { $dir_list[] = $file; }
	        }
	        closedir($dh);
	    } else { 
	    	echo "Can not open this dir: " . $dir . "\n"; 
			$path = realpath($dir . "/..");
   			echo "<table><tr><td class=\"dirlist_error\"  colspan=\"2\"><a href=\"index.php?file=frameit/browse&browse_dir=$path/\" title=\"Back Up\" >Back Up</a></td></tr></table>\n";
	    	return;
	    }
	} else { echo "This is not a valid dir: " . $dir . "\n"; }

	echo "<table>";
	sort($dir_list);
	foreach ($dir_list as $value) {
		$path = realpath($dir . "/" . $value);
   		if ($even) {
   			echo "<tr><td class=\"td_even\"><a href=\"index.php?file=frameit/browse&browse_dir=$path/\" title=\"$value\" >$value</a></td></tr>\n";
   			$even = 0; 
   		} else {
   			echo "<tr><td class=\"td_odd\"><a href=\"index.php?file=frameit/browse&browse_dir=$path/\" title=\"$value\" >$value</a></td></tr>\n";
	        $even = 1;
	    }
	}
	echo "</table>";
/**/	
}
?>