<?php
/**************************************************
  Coppermine 1.5.x Plugin - FrameIt $VERSION$=0.2
  *************************************************
  Copyright (c) 2009 Gene F. Young (genefyoung.com)
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ***************************************************/

require_once('include/init.inc.php');
require('./plugins/frameit/include/init.inc.php');

$frameit_superCage = Inspekt::makeSuperCage();

global $CONFIG,$lang_plugin_frameit,$selected_file_path, $selected_file_name,$delete_frame_list,$frame_size,$frame_offset_x,$frame_offset_y ;

//Set defaults for frame creation
$frame_size = 40;
$frame_offset_x = 40;
$frame_offset_y = 40;

if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

if ($frameit_superCage->get->keyExists('use_file')) { 
	$temp = $frameit_superCage->get->getRaw('use_file');
		
	$selected_file_name = pathinfo($temp,PATHINFO_BASENAME);
	$selected_file_name = str_replace("-LR.png","",$selected_file_name);
	
	$selected_file_path = pathinfo($temp,PATHINFO_DIRNAME);
//	$selected_file_path = $temp;

	$from_browser = true;
} else $from_browser = false;

if ($frameit_superCage->post->keyExists('create_frame')) {
	$frame_name = $frameit_superCage->post->getRaw('frame_name');
	$frame_path = $frameit_superCage->post->getRaw('frame_path');
	$frame_size = $frameit_superCage->post->getInt('frame_size');
	$frame_offset_x = $frameit_superCage->post->getInt('frame_offset_x');
	$frame_offset_y = $frameit_superCage->post->getInt('frame_offset_y');
	
	$query= "INSERT INTO {$CONFIG['TABLE_PREFIX']}mod_frameit_frames " 
	. "(frame_id, frame_name, frame_size, frame_offset_x, frame_offset_y, frame_path)" 
	. " VALUES "
	. "(\"\",	\"$frame_name\", \"$frame_size\", \"$frame_offset_x\", \"$frame_offset_y\", \"$frame_path\" );";
	cpg_db_query($query);
	$selected_file = '';

	pageheader($lang_plugin_frameit['display_name']);
	msg_box($lang_plugin_frameit['display_name'], $lang_plugin_frameit['update_success'], $lang_common['continue'], 'index.php?file=frameit/plugin_config');
	pagefooter();
	exit;
}

if ($frameit_superCage->post->keyExists('delete_frame')) {
	$delete_frame_list = $frameit_superCage->post->getRaw('delete_frame_list');

	pageheader($lang_plugin_frameit['display_name']);
	$warning_message = '';
	$selected_frame = $CONFIG['frameit_selected_frame_id'];
	
	$deleted_names = "<br /><br />\n" . $lang_plugin_frameit['frames_deleted'] . " "; 			
	foreach($delete_frame_list as $frame_id)  {
	
		$sql = "SELECT * FROM `{$CONFIG['TABLE_PREFIX']}mod_frameit_frames` WHERE `frame_id` = $frame_id ";
		$res = cpg_db_query($sql);
		$row = mysql_fetch_assoc($res);
		$frame_name = $row['frame_name'];
		$deleted_names .= " : " . $frame_name ; 			

		$sql = "DELETE FROM {$CONFIG['TABLE_PREFIX']}mod_frameit_frames WHERE frame_id = '$frame_id'";
		$result = cpg_db_query($sql);
		if ( $frame_id == $selected_frame ) {
			$warning_message = "<br /><br /><font size=2 color=red>" . $lang_plugin_frameit['warning_message'] . "</font><br />";
			$frame_id = 1;
			$s= "UPDATE `{$CONFIG['TABLE_PREFIX']}config` SET value = \"$frame_id\" WHERE name = 'frameit_selected_frame_id' ";
  			cpg_db_query($s); 

			$CONFIG['frameit_selected_frame_id'] = $frame_id;
		}
	}
	$deleted_names .= "<br />\n"; 			
	msg_box($lang_plugin_frameit['display_name'], $lang_plugin_frameit['update_success'] . "  " . $deleted_names . $warning_message, $lang_common['continue'], 'index.php?file=frameit/plugin_config');
	pagefooter();
	exit;
} 

if ($frameit_superCage->post->keyExists('update')) {
  $frame_id = $frameit_superCage->post->getInt('frame_id');
  
  $s= "UPDATE `{$CONFIG['TABLE_PREFIX']}config` SET value = \"$frame_id\" WHERE name = 'frameit_selected_frame_id' ";
  cpg_db_query($s); 

  $CONFIG['frameit_selected_frame_id'] = $frame_id;

  pageheader($lang_plugin_frameit['display_name']);
  msg_box($lang_plugin_frameit['display_name'], $lang_plugin_frameit['update_success'], $lang_common['continue'], 'index.php?file=frameit/plugin_config');
  pagefooter();
  exit;

}
pageheader($lang_plugin_frameit['display_name']);
?>

<?php

starttable('100%', $lang_plugin_frameit['main_title'].' - '.$lang_plugin_frameit['version'].'<font size=1 color=red> by <a href="http://genefyoung.com">Gene F. Young</font>', 3);

if ($from_browser == false) echo '<script type="text/javascript">addonload("hideall()");</script>';
else  echo '<script type="text/javascript">addonload("show_section(\'section1\');show_section(\'section3\')");</script>';

?><tr>
  <td class=tableh2 colSpan=3 >
		<strong><?php echo $lang_plugin_frameit['config_info']?></strong>
  </td>
</tr>

<tr>
  <td class=tableh2 colSpan=3 onClick="show_section('section1')">
  	<span style="CURSOR: pointer">
		<img title="Config" height=9 alt="" src="images/descending.gif" width=9 border=0>
		<strong><?php echo $lang_plugin_frameit['config_choose_frames']?></strong>
	</span>
  </td>
</tr>

<tr>
  	<td>
    <form name ="form_get_frame" method ="post" action ="<?php $_SERVER['PHP_SELF']?>" autocomplete="off">
    	<table class="maintable" style="width: 820px" cellSpacing="2" cellPadding="2"  align="center" border="1" id="section1">
			<tr style="visibility:hidden"><td colspan="4"><input name="update" type="hidden" id="update" value="1" ></td></tr>
			<tr align="left"><td colspan="4"><h1><?php echo $lang_plugin_frameit['available_frames']; ?></h1></td></tr>
			<?php  get_frame_list(); ?>
       		<tr align="center"><td colspan="4"><input name="submit" type="submit" value="<?php echo $lang_plugin_frameit['submit_button']; ?>" ></td></tr>
    	</table>
    </form>  
 	</td>
</tr>

<tr>
  <td class=tableh2 colSpan=3 onClick="show_section('section2')">
  	<span style="CURSOR: pointer">
		<img title="Config" height=9 alt="" src="images/descending.gif" width=9 border=0>
		<strong><?php echo $lang_plugin_frameit['config_create_frames']?></strong>
	</span>
  </td>
</tr>

<tr align="center">
  <td>
	<form method="POST" action="<?php $_SERVER["PHP_SELF"] ?>" name="frameit_create">
		<table  class="maintable" style="width: 820px" cellSpacing="2" cellPadding="2"  align="center" border="1" id="section2">
			<tr align="left"><td colspan="2"><h2><?php echo $lang_plugin_frameit['create']?></h2></td></tr>
			<tr align="left"><td>
					<b style="color:red;font-weight:bolder;font-size:16px">1st</b>
			        <b style="font-weight:bold;font-size:14px"><?php echo $lang_plugin_frameit['enter_path']; ?>&nbsp;&nbsp;</b></td></tr>
			<tr align="left"><td>
					<input type="text" name="frame_path" size="100" value="<?php echo $selected_file_path ?>">
					<input type="button" onclick="parent.location='index.php?file=frameit/browse'" value="Browse">
			</td></tr>
			<tr align="left"><td>
					<b style="color:red;font-weight:bolder;font-size:16px">2nd</b>
					<b style="font-weight:bold;font-size:14px"><?php echo $lang_plugin_frameit['enter_name']; ?>&nbsp;&nbsp;</b></td></tr>
			<tr align="left" ><td><input type="text" name="frame_name"     size="100"      				value="<?php echo $selected_file_name ?>"></td></tr>
			<tr align="left" ><td><input type="int"  name="frame_size"     size="8" id="frame_size" 		value="<?php echo $frame_size; ?> " >&nbsp;&nbsp;<?php echo $lang_plugin_frameit['frame_size']; ?></td></tr>
			<tr align="left" ><td><input type="int"  name="frame_offset_x" size="8" id="frame_offset_x" 	value="<?php echo $frame_offset_x; ?> " >&nbsp;&nbsp;<?php echo $lang_plugin_frameit['frame_offset_x']; ?></td></tr>
			<tr align="left" ><td><input type="int"  name="frame_offset_y" size="8" id="frame_offset_y" 	value="<?php echo $frame_offset_y; ?> " >&nbsp;&nbsp;<?php echo $lang_plugin_frameit['frame_offset_y']; ?></td></tr>
			<tr align="center"><td colspan="2"><input name="create_frame" type="submit" value="<?php echo $lang_plugin_frameit['create_frame_button']?>" /></td></tr>
		</table>
	</form>
  </td>
</tr>

<tr>
  <td class=tableh2 colSpan=3 onClick="show_section('section3')">
  	<span style="CURSOR: pointer">
		<img title="Config" height=9 alt="" src="images/descending.gif" width=9 border=0>
		<strong><?php echo $lang_plugin_frameit['config_delete_frames']?></strong>
	</span>
  </td>
</tr>
	
<tr align="center">
  <td>
  	<form action="<?php $_SERVER['PHP_SELF']. "&delete_frame_list=$delete_frame_list"; ?>" method="post" name="frameit_delete_shows">
		<table  class="maintable" style="width: 820px" cellSpacing="2" cellPadding="2"  align="center" border="1" id="section3">
			<tr align="left"><td colspan="2"><h2><?php echo $lang_plugin_frameit['delete_frame']?></h2></td></tr>
			<?php create_delete_frame_list(); ?>
			<tr style="visibility:hidden"><td colspan="2"><input name="delete_frame" type="hidden" id="update" value="1" /></td></tr>
			<tr align="center"><td colspan="2"><input name="delete_frame" type="submit" value="<?php echo $lang_plugin_frameit['delete_button']?>" /></td></tr>
		</table>
    </form>
  </td>
</tr>  

<?php 
endtable();
pagefooter();
ob_end_flush();

function get_frame_list() {
	global $CONFIG;

	$query="SELECT * FROM {$CONFIG['TABLE_PREFIX']}mod_frameit_frames";
  	$result = cpg_db_query($query);
	$num = mysql_num_rows($result);
	$i=0;
	$td_count = 0;
	while ($i < $num) {
		$frame_id	=mysql_result($result,$i,"frame_id");
		$frame_name	=mysql_result($result,$i,"frame_name");
		$frame_size	=mysql_result($result,$i,"frame_size");
		$frame_offset_x	=mysql_result($result,$i,"frame_offset_x");
		$frame_offset_y	=mysql_result($result,$i,"frame_offset_y");
		$frame_path	=mysql_result($result,$i,"frame_path");
		$frame_path = str_replace("../","",$frame_path);
		$check_it = see_if_frame_checked($frame_id);
		
		if ($td_count == 0) echo "\n<tr>"; //even so start row
		echo '<td style="width: 200px;"><input type="radio" name="frame_id" value="' 
				. $frame_id . '" ' . $check_it . ' >'
				. "\n"
				. '<img src="'.$frame_path."/".$frame_name."-LR.png" . '" width="50px" height="50px" alt="'. $frame_path."/".$frame_name."-LR.png" . '" >'
				. '<table>'
				.   '<tr><td colspan="2">Name: <font color="#FF0000">' . $frame_name . "</font></td></tr>\n" 
				.   '<tr><td>Size: ' . $frame_size . "</td></tr>\n" 
				.   '<tr><td width="50%">Offset X: ' . $frame_offset_x . "</td>" 
				.   '<td width="50%">&nbsp;&nbsp;Offset Y: ' . $frame_offset_y . "</td></tr>\n" 
				. '</table>'
				. "</td>\n";
		
		if ($td_count == 3) {
			echo "</tr>\n"; //even so start row
			$td_count = 0;
		} else $td_count++;		
		$i++;
	} 
}

function see_if_frame_checked($frame_id_ck) {
	global $CONFIG;

	$frame_id = $CONFIG['frameit_selected_frame_id'];
    if ($frame_id == $frame_id_ck) return "checked";
    else return  "";

//	$s="SELECT * FROM `{$CONFIG['TABLE_PREFIX']}config` ";
//	$res = cpg_db_query($s);
//	while ($row = mysql_fetch_assoc($res)){
//		$frame_id = $row['frameit_selected_frame_id'];
//	}
}

function create_delete_frame_list() {
	global $CONFIG;

//	echo "<table>\n";
	$sql = "select * from `{$CONFIG['TABLE_PREFIX']}mod_frameit_frames`";
	$res = cpg_db_query($sql);

    while ($row = mysql_fetch_assoc($res)){
			$frame_id = $row["frame_id"];
			$frame_name = $row["frame_name"];
			$frame_path = $row["frame_path"];
			echo "\n<tr align=\"left\"><td width=\"200px\">" 
				. '<input type="checkbox" name="delete_frame_list[]" value="' 
				. $frame_id 
				.'">  <b>Name: </b>' . $frame_name 
				. "</td><td width=\"400px\"><b>Path: </b>" . $frame_path . "</td></tr>\n";		
	} 
//	echo "</table>\n";
/**/
}
	
?>